####
# Example of what CKEditor can all bring
###

# Load default processing options
imports:
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }

# Add configuration for the editor
# For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config
editor:
  config:
    # can be "default", but a custom stylesSet can be defined here, which fits TYPO3 best
    stylesSet:
      # block level styles
      - { name: "Orange title H2", element: "h2", styles: { color: "orange", background: "blue" } }
      - { name: "Orange title H3", element: "h3", styles: { color: "orange", background: "blue" } }
      - { name: "Quote / Citation", element: "blockquote" }
      - { name: "Code block", element: "code" }
      # Inline styles
      - { name: "Yellow marker", element: "span", styles: { background-color: "yellow" } }

    format_tags: "p;h1;h2;h3;pre"

    toolbarGroups:
      - { name: clipboard, groups: [clipboard, undo] }
      - { name: editing,   groups: [find, selection, spellchecker] }
      - { name: links }
      - { name: insert }
      - { name: tools }
      - { name: table }
      - { name: tabletools }
      - { name: document,  groups: [ mode, document, doctools ] }
      - { name: others }
      - "/"
      - { name: basicstyles, groups: [ basicstyles, align, cleanup ] }
      - { name: paragraph,   groups: [ list, indent, blocks, align, bidi ] }
      - { name: specialcharacters,   groups: [ insertcharacters ] }
      - "/"
      - { name: styles }

    justifyClasses:
      - text-left
      - text-center
      - text-right
      - text-justify

    extraPlugins:
      - justify
      - font
      - find
      - bidi
      - selectall

    removePlugins:
      - image

    removeButtons:

# Allow s and u tag
processing:
  allowTags:
    - s
    - u
